#
# spec file for package bazel-rules-foreign-cc
#
# Copyright (c) 2020 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define src_install_dir /usr/src/%{name}

Name:           bazel-rules-foreign-cc
Version:        20190926
Release:        bp155.2.10
Summary:        Build rules for interfacing with non-Bazel build systems
License:        Apache-2.0
Url:            https://github.com/bazelbuild/rules_foreign_cc
Source0:        %{name}-%{version}.tar.xz
Source1:        %{name}-rpmlintrc
BuildRequires:  fdupes

%description
Rules for building C/C++ projects using foreign build systems inside Bazel
projects.

%package source
Summary:        Source code of bazel-rules-foreign-cc
BuildArch:      noarch

%description source
Rules for building C/C++ projects using foreign build systems inside Bazel
projects.

This package contains source code of bazel-rules-foreign-cc.

%prep
%setup -q

%build

%install
mkdir -p %{buildroot}%{src_install_dir}
tar -xJf %{SOURCE0} --strip-components=1 -C %{buildroot}%{src_install_dir}
# Fix non-executable-script warning.
find %{buildroot}%{src_install_dir} -type f -name "*.sh" -exec chmod +x "{}" +
# Fix env-script-interpreter error.
find %{buildroot}%{src_install_dir} -type f -name "*.sh" -exec sed -i 's|#!/usr/bin/env bash|#!/bin/bash|' "{}" +
%fdupes %{buildroot}%{src_install_dir}

%files source
%license LICENSE
%doc README.md
%{src_install_dir}

%changelog
* Thu Dec 19 2019 Madhu Mohan Nelemane <mmnelemane@suse.com>
- Update to version 20190926
  * Fix generated code to have load statements strictly in the beginning (#231)
  * Explicitly name the nested workspace for tests on Bazel CI (#230)
  * Remove support for the versions of Bazel before 0.22 (#234)
  * Pass --copt, --cxxopt, --conlyopt, --linkopt to cmake_external/configure_make rules (#235)
  * Fix Buildkite breakage caused by gmaven_rules rename (#236)
  * Remove rules_apple dependency (#233)
  * remove unneeded -print option from find command (#242)
  * Windows, tests: fix for native test wrapper (#246)
  * Fixes a bug where bootstrap options weren't being passed (#245)
  * Correct environment variable references to the platform-independent style (#248)
  * Example with malloc attribute, currently not working (#250)
  * Fix using Bazel-built libraries by cmake_external and configure_make (#249)
  * Allow ranlib to be overridden (#253)
  * For cmake_external and configure_make, do not prepend relative install (#258)
  * Fix #254 (Linker flags passed to ar). (#256)
  * Migrate for incompatible_require_ctx_in_configure_features (#260)
  * Migrate for --incompatible_enable_cc_toolchain_resolution (#262)
  * Windows: tests now work with native test wrapper (#263)
  * Guard cc_common.configure_features with a version check (#270)
  * Migrate for --incompatible_depset_is_not_iterable (#267)
  * Use forward compatible version of _configure_features (#271)
  * Fix the code to work with Bazel HEAD: (#274)
  * Fix patch file for nghttp2 (#275)
  * Fix #123 Improve code readability for collecting input dependencies (#257)
  * fix(cmake): Use "Debug" and "Release" instead of "DEBUG" and "RELEASE" (#277)
  * Fix replace_in_files function in windows_commands.bzl (#280)
  * Minor fixes in example files (#264)
  * Add examples' bazel symlinks to gitignore (#288)
  * Implement support for "pure" GNU Make in make.bzl (#285)
  * Switch to rules_jvm_external (#287)
  * Add -L to cp (#266)
  * Fix a way of wiping CMake cache entry values defined by toolchain from CL (#293)
  * Remove unnecessary restrictions on the library filename - fixes #276 (#294)
  * Build Android example on CI (#286)
  * Add -H to find in symlink_contents_to_dir (#303)
  * Adapt rules_foreign_cc for working with libtool instead of ar. (#315)
  * Fix make() rule to run make commands sequentially and not in parallel. (#317)
  * Be resilient with Bazel-built transitive dependencies duplicates (#318)
  * When executed without sandbox, target- and host- configured targets are
    created in the same execution root with the same names. (#321)
* Thu Oct 17 2019 Richard Brown <rbrown@suse.com>
- Remove obsolete Groups tag (fate#326485)
* Sat May 25 2019 Michal Rostecki <mrostecki@opensuse.org>
- Include rpmlintrc file in sources.
* Tue May 21 2019 Michal Rostecki <mrostecki@opensuse.org>
- Initial release
